%define name	wv2
%define version	0.3.1

%define major		2
%define libname		%mklibname %{name}_ %major
%define develname	%mklibname %{name} -d

Summary:	Word97 exporter library
Name:		%{name}
Version:	%{version}
Release:	%mkrel 2
License:	LGPLv2
Group:		Office
URL:		http://sourceforge.net/projects/wvware/
Source0: 	http://downloads.sourceforge.net/wvware/%{name}-%{version}.tar.bz2
Patch1:		wv2-0.2.3-respectflags.patch
BuildRequires:	libgsf-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
wvWare is the continuation of Caolan McNamara's wv - the MSWord library.
Efforts are underway to make this library more correct, robust,
and turn it into a Word97 exporter.

%package -n %libname
Summary: 	Word97 exporter library
Group:	 	Development/C
Obsoletes:	wv2
Provides:	%{name} = %version-%release
Provides:	lib%{name} = %version-%release

%description -n %libname
wvWare is the continuation of Caolan McNamara's wv - the MSWord library. 
Efforts are underway to make this library more correct, robust, 
and turn it into a Word97 exporter.

%package -n %develname
Summary: 	Word97 exporter library devel
Group:	 	Development/C
Requires:	%libname = %version-%release
Obsoletes:	wv2-devel
Provides:	wv2-devel = %version-%release
Obsoletes:	%{mklibname wv2_ 1 -d}

%description -n %develname
This is the Wv2 development package.

%prep
%setup -q
#%patch1 -p1

%build
./autogen.sh
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/wv2-config

rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname
%defattr(-,root,root)
%_libdir/*.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%_includedir/%{name}

%_libdir/*.so

%_bindir/wv2-config
%multiarch %{multiarch_bindir}/wv2-config



%changelog
* Mon Mar 16 2009 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.1-2mdv2009.1
+ Revision: 355730
- Do not package .la files
- Remove unneeded macros

* Fri Mar 06 2009 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.1-1mdv2009.1
+ Revision: 349640
- Update to 0.3.1

* Sun Feb 22 2009 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.0-3mdv2009.1
+ Revision: 343791
- Update to 0.3.0
  Disable patch1 ( does not seems needed )

* Tue Aug 26 2008 Funda Wang <fundawang@mandriva.org> 0.2.3-3mdv2009.0
+ Revision: 276383
- add patch fix building

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-2mdv2008.1
+ Revision: 179672
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Aug 04 2007 Adam Williamson <awilliamson@mandriva.org> 0.2.3-1mdv2008.0
+ Revision: 58814
- rebuild for 2008
- new devel policy
- drop patch1 (fixed upstream)
- clean buildrequires
- use Fedora license policy, correct license (LGPLv2, not GPL)
- spec clean
- new release 0.2.3
- Import wv2




* Tue Jun 20 2006 Laurent MONTEL <lmontel@mandriva.com> 0.2.2-6
- Add patch1: security fix

* Sat Mar 11 2006 Laurent MONTEL <lmontel@mandriva.com> 0.2.2-5mdk
- Rebuild with new libgsf

* Wed Oct 12 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.2-4mdk
- Rebuild for new libgsf-1_1

* Mon Jan 31 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.2-3mdk
- Fix multiarch

* Thu Jun  3 2004 Laurent Montel <lmontel@mandrakesoft.com> 0.2.2-2mdk
- Rebuild against new gcc

* Wed May 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.2-1mdk
- 0.2.2

* Mon Dec 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.1-1mdk
- 0.2.1

* Wed Nov 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2-1mdk
- 0.2

* Mon Sep 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1.9-1mdk
- 0.1.9

* Thu Aug 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1.8-1mdk
- 0.1.8

* Thu Jul 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1.7-2mdk
- libification

* Thu Jul 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1.7-1mdk
- 0.1.7

* Thu Jul 31 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1-6mdk
- fix buildrequires and requires
- autoconf2.5 macro

* Fri Jul 18 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.1-5mdk
- grmpf, more buildrequires

* Mon Jul 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.1-4mdk
- cosmetics
- quiet setup
- buildrequires
- fix library-without-ldconfig-post{un,in} (package name should really
  be changed to follow mdk library police!!)

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-3mdk
- Rebuild

* Wed Jul 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-2mdk
- Rebuild

* Thu Jul 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-1mdk
- First import
